Bug 449311 - Kernel hangs during rdesktop session.
Kernel hangs during rdesktop session.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 00:55 EDT by Colin Leavett-Brown
Modified: 2009-07-14 11:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:49:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smolt info + /var/log/messages sample. (73.78 KB, text/plain)
2008-06-02 00:55 EDT, Colin Leavett-Brown
no flags Details

  None (edit)
Description Colin Leavett-Brown 2008-06-02 00:55:17 EDT
Description of problem:
Kernel hangs during rdesktop session to windows server. Have added
kernel.sysrq=1 and kernel.nmi_watchdog=2 to sysctl.conf. Boot FC9, logon, start
xterm and tail -s /var/log/dmesg. Start system monitor. Start rdesktop
windows.server -g 1200x900. Cause some window redraw operations by switching
applications or selecting different emails to display. System will freeze. No
activity on system monitor (CPU, memory, or network), no dmesg. CTL+ALT+F1,
CTL+ALT+BKSPC, CTL+ALT+SYSRQ, etc. all unresponsive. Pointer moves jerkily with
mouse movement, but no response to mouse clicks. Have attached /var/log/messages
from one complete session plus smolt output. System does not unfreeze with time.
Hit reset and revert to FC7.

Version-Release number of selected component (if applicable):
Kernel: 2.6.25.3-18.fc9.i686

How reproducible:
Very. Occurs within 2 minutes of commencing with rdesktop.

Steps to Reproduce:
1. As per description.
2.
3.
  
Actual results:


Expected results:


Additional info: Attachments.
Comment 1 Colin Leavett-Brown 2008-06-02 00:55:17 EDT
Created attachment 307329 [details]
smolt info + /var/log/messages sample.
Comment 2 Chuck Ebbert 2008-06-06 17:00:35 EDT
/vr/log/dmesg gets written once after bootup and never again after that. You
probably want something like:

  watch 'dmesg | tail -22'

And it looks like the sysrq commands were accepted but the loglevel is wrong.
Try adding "ignore_loglevel" to the kernel boot options.
Comment 3 Colin Leavett-Brown 2008-06-07 14:38:30 EDT
Added 'ignore_loglevel' to /etc/sysctl.conf, but not sure that I got it working
correctly; saw no additional dmesg's and watch hung (stopped updating the
timestamp in the top right hand corner). Tried it twice, as follows:

1. "kernel.ignore_loglevel"
2. "kernel.ignore_loglevel = 1"

Additional observation is the larger the rdesktop geometry the easier it is to
recreate.
Comment 4 Chuck Ebbert 2008-06-14 04:35:09 EDT
Just add ignore_loglevel to the end of the kernel option list in grub.conf, like
this:

title Fedora (2.6.25.4-10.fc8)
        root (hd0,0)
        kernel /vmlinuz-2.6.25.4-10.fc8 ro root=LABEL=/ ignore_loglevel
        initrd /initrd-2.6.25.4-10.fc8.img
Comment 5 Colin Leavett-Brown 2008-06-14 23:12:37 EDT
Added the "ignore_loglevel" option. Obviously affective - many more messages
during boot. Repeated test. Here's the "watch" output (no new messages appeared
when system hung):


Every 1.0s: dmesg | tail -16                            Sat Jun 14 19:59:23 2008

Bluetooth: RFCOMM ver 1.8
Bluetooth: BNEP (Ethernet Emulation) ver 1.2
Bluetooth: BNEP filters: protocol multicast
Bridge firewalling registered
pan0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 8x mode
agpgart: Putting AGP V3 device at 0000:01:00.0 into 8x mode
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
ALSA sound/usb/usbaudio.c:1353: setting usb interface 2:2
eth0: no IPv6 routers present
ALSA sound/usb/usbaudio.c:1353: setting usb interface 2:2
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
Comment 6 Colin Leavett-Brown 2008-06-21 00:49:55 EDT
Caused hang. Then from my laptop ssh'd to the hung FC9 machine and ran top.
Process Xorg running at greater than 99% cpu.
"https://bugs.freedesktop.org/show_bug.cgi?id=3168" seems to describe the same
bug including under Fedora 8, see comment #27. Do I continue to pursue this
under Fedora or X?
Comment 7 Bug Zapper 2009-06-09 21:20:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:49:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.